> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pathors.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Node

> Delete a node and its connected edges

## Request

```bash theme={null}
DELETE https://api.pathors.com/v1/projects/{projectId}/pathway/nodes/{nodeId}
```

### Path Parameters

<ParamField path="projectId" type="string" required>The project ID</ParamField>
<ParamField path="nodeId" type="string" required>The node ID</ParamField>

### Headers

<ParamField header="Authorization" type="string" required>
  Bearer token using your developer key
</ParamField>

## Response

Returns the list of edges that were also deleted due to the node removal.

```json theme={null}
{
  "message": "Node deleted",
  "deletedEdges": ["edge-1", "edge-3"]
}
```

<Warning>
  All edges connected to this node (as source or target) will be automatically deleted.
</Warning>
